# Uses of Class
writer2latex.xhtml.XhtmlConfig

Packages that use XhtmlConfig
Package
Description
writer2latex.epub
writer2latex.xhtml

## Uses of XhtmlConfig in writer2latex.epub

Constructors in writer2latex.epub with parameters of type XhtmlConfig
Modifier
Constructor
Description
``
`EPUBWriter(ConverterResult xhtmlResult, String sFileName, int nVersion, XhtmlConfig config)`
Create a new `EPUBWriter` based on a `ConverterResult`.
``
`OPFWriter(ConverterResult cr, String sFileName, int nVersion, XhtmlConfig config)`

## Uses of XhtmlConfig in writer2latex.xhtml

Methods in writer2latex.xhtml that return XhtmlConfig
Modifier and Type
Method
Description
`protected XhtmlConfig`
Converter.`getXhtmlConfig()`
Methods in writer2latex.xhtml with parameters of type XhtmlConfig
Modifier and Type
Method
Description
`void`
XhtmlDocument.`setConfig(XhtmlConfig config)`
Constructors in writer2latex.xhtml with parameters of type XhtmlConfig
Modifier
Constructor
Description
``
`CellStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `CellStyleConverter`
``
`DrawConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`FrameStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `FrameStyleConverter`
``
`HeadingStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
``
`ListStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ListStyleConverter`
``
`LOFConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`LOTConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`MathConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, boolean bSupportMathML)`
Create a new `MathConverter`
``
`PageStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `PageStyleConverter`
``
`ParStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `ParStyleConverter`
``
`PresentationStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `PresentationStyleConverter`
``
`RowStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `RowStyleConverter`
``
`SectionStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `SectionStyleConverter`
``
`StyleConverterHelper(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `StyleConverterHelper`
``
`StyleWithPropertiesConverterHelper(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `StyleWithPropertiesConverterHelper`
``
`TableConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`TableStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `TableStyleConverter`
``
`TextConverter(OfficeReader ofr, XhtmlConfig config, Converter converter)`
``
`TextStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `TextStyleConverter`